Class UmlBaseClassInstance

Declaration :

- C++ : class UmlBaseClassInstance : public UmlItem
- Java : abstract class UmlBaseClassInstance extends UmlItem

Directly inherited by : UmlClassInstance

Artifact : UmlBaseClassInstance

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation create

Returns a new class instance
In case it cannot be created ('parent' cannot contain it etc ...) return 0
in C++ and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout name : str, inout type : UmlClass) : UmlClassInstance, exceptions : RuntimeException
- C++ : public: static UmlClassInstance * create(UmlItem * parent, const char * name, UmlClass * type)
- Java : public static UmlClassInstance create(UmlItem parent, String name, UmlClass type) throws RuntimeException

Operation type

return the type

Declaration :

- Uml : + type() : UmlClass
- C++ : public: UmlClass * type()
- Java : public UmlClass type()

Operation set_Type

set the type
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Type(in v : UmlClass) : bool, exceptions : RuntimeException
- C++ : public: bool set_Type(UmlClass * v)
- Java : public void set_Type(UmlClass v) throws RuntimeException

Operation attributesValue

Returns the attributes having a value

Declaration :

- Uml : + attributesValue(out result : SlotAttribute) : SlotAttribute
- C++ : public: void attributesValue(QValueList<SlotAttribute> & result)
- Java : public SlotAttribute[] attributesValue()

Operation relationsValue

Returns the attributes having a value

Declaration :

- Uml : + relationsValue(out result : SlotRelation) : SlotRelation
- C++ : public: void relationsValue(QValueList<SlotRelation> & result)
- Java : public SlotRelation[] relationsValue()

Operation availableAttributes

Returns all the attributes of the class instance,
including the inherited

Declaration :

- Uml : + availableAttributes(out result : UmlAttribute) : UmlAttribute
- C++ : public: void availableAttributes(QVector<UmlAttribute> & result)
- Java : public UmlAttribute[] availableAttributes()

Operation availableRelations

Returns all the possible relations from the current instance to 'other', including the inherited

Declaration :

- Uml : + availableRelations(out other : UmlClassInstance, out result : UmlRelation) : UmlRelation
- C++ : public: void availableRelations(UmlClassInstance * other, QVector<UmlRelation> & result)
- Java : public UmlRelation[] availableRelations(UmlClassInstance other)

Operation set_AttributeValue

Remove the slot if the value is null.
Else set the value for the given attribute, replacing it
if the slot already exist.
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_AttributeValue(in attribute : UmlAttribute, in value : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_AttributeValue(UmlAttribute * attribute, const char * value)
- Java : public void set_AttributeValue(UmlAttribute attribute, String value) throws RuntimeException

Operation add_Relation

Add the slot (does nothing if it already exist)
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + add_Relation(in relation : UmlRelation, in other : UmlClassInstance) : bool, exceptions : RuntimeException
- C++ : public: bool add_Relation(UmlRelation * relation, UmlClassInstance * other)
- Java : public void add_Relation(UmlRelation relation, UmlClassInstance other) throws RuntimeException

Operation remove_Relation

Remove the slot (does nothing if it doesn't exist)
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + remove_Relation(in relation : UmlRelation, in other : UmlClassInstance) : bool, exceptions : RuntimeException
- C++ : public: bool remove_Relation(UmlRelation * relation, UmlClassInstance * other)
- Java : public void remove_Relation(UmlRelation relation, UmlClassInstance other) throws RuntimeException

Operation associatedDiagram

returns the optional associated diagram

Declaration :

- Uml : + associatedDiagram() : UmlObjectDiagram
- C++ : public: UmlObjectDiagram * associatedDiagram()
- Java : public UmlObjectDiagram associatedDiagram()

Operation set_AssociatedDiagram

sets the associated diagram, arg may be null to unset it
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_AssociatedDiagram(in d : UmlObjectDiagram) : bool, exceptions : RuntimeException
- C++ : public: bool set_AssociatedDiagram(UmlObjectDiagram * d)
- Java : public void set_AssociatedDiagram(UmlObjectDiagram d) throws RuntimeException

Relation _type (<unidirectional association>)

Declaration :

- Uml : - _type : UmlClass
- C++ : private: UmlClass * _type
- Java : private UmlClass _type

Relation _assoc_diagram (<unidirectional association>)

Declaration :

- Uml : - _assoc_diagram : UmlObjectDiagram
- C++ : private: UmlObjectDiagram * _assoc_diagram
- Java : private UmlObjectDiagram _assoc_diagram

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation UmlBaseClassInstance

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseClassInstance(in id : item_id, in s : string) :
- C++ : protected: UmlBaseClassInstance(void * id, const QCString & s) : UmlItem(id, s)
- Java : protected UmlBaseClassInstance(long id, String s)

All public operations : add_Relation , apply , associatedDiagram , attributesValue , availableAttributes , availableRelations , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , relationsValue , remove_Relation , set_AssociatedDiagram , set_AttributeValue , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , set_Type , stereotype , supportFile , type , unload